Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 272851 - [patch] media-video/dvgrab-3.4 fails to build with gcc-4.4
Summary: [patch] media-video/dvgrab-3.4 fails to build with gcc-4.4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GCC Porting (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords: Inclusion
Depends on:
Blocks: gcc-4.4
  Show dependency tree
 
Reported: 2009-06-06 05:44 UTC by hirakendu
Modified: 2009-06-29 19:32 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
patch for dvgrab-3.4 to build with gcc-4.4 (dvgrab-3.4-gcc44.patch,610 bytes, patch)
2009-06-06 05:45 UTC, hirakendu
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description hirakendu 2009-06-06 05:44:19 UTC
gcc-4.4 doesn't automagically #include <stdio.h> (or <cstdio>). trivial patch attached.

Reproducible: Always
Comment 1 hirakendu 2009-06-06 05:45:33 UTC
Created attachment 193682 [details, diff]
patch for dvgrab-3.4 to build with gcc-4.4
Comment 2 Alexis Ballier gentoo-dev 2009-06-29 19:32:26 UTC
applied, thanks
please dont forget to mail it upstream too.